Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGOutbound

    public interface SAGOutbound

It is the root node of outbound OTD for SAG eway.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGOutbound.OutboundServices` A set of Swift Outbound Message Serives, i.e.

Method Summary
`SAGConstants` | `getConstants()` The SAGConstants can be used in collaboration by users.
`OutboundConfiguration` | `getOutboundConfiguration()` It represents the eWay's Outbound Configuration.
`SAGOutbound.OutboundServices` | `getOutboundServices()` It holds the outbound message services like FileAct, InterAct, etc.
`Primitives` | `getPrimitives()` It holds all SNL primitives defined in SNL Specification (and Sw.dtd).
`RemoteApis` | `getRemoteApis()` It represents the RemoteApis for host adapter.
`java.lang.String` | `readSwiftDateTime()` Utility method - it can be used by both InterAct and FileAct.

Method Detail

### getOutboundConfiguration

    OutboundConfiguration getOutboundConfiguration()
                                                   throws SAGApplicationException

  It represents the eWay's Outbound Configuration.

  Parameters:
    None.

  Returns:
    `OutboundConfiguration` - Returns the OutboundConfiguration object.
  Throws:
    `SAGApplicationException` - upon error.

### getOutboundServices

    SAGOutbound.OutboundServices getOutboundServices()
                                                     throws SAGApplicationException

  It holds the outbound message services like FileAct, InterAct, etc.

  Parameters:
    None.

  Returns:
    `OutboundServices` - Returns the outbound services object.
  Throws:
    `SAGApplicationException` - upon error.

### getConstants

    SAGConstants getConstants()

  The SAGConstants can be used in collaboration by users.

  Parameters:
    None.

  Returns:
    `SAGConstants` - Returns the SAGConstants object.
  Throws:
    None.

### getRemoteApis

    RemoteApis getRemoteApis()
                             throws SAGApplicationException

  It represents the RemoteApis for host adapter.

  Parameters:
    None.

  Returns:
    `RemoteApis` - Returns the RemoteApis object.
  Throws:
    `SAGApplicationException` - upon error.

### getPrimitives

    Primitives getPrimitives()
                             throws SAGApplicationException

  It holds all SNL primitives defined in SNL Specification (and Sw.dtd).

  Parameters:
    None.

  Returns:
    `Primitives` - Returns the Primitives object.
  Throws:
    `SAGApplicationException` - upon error.

### readSwiftDateTime

    java.lang.String readSwiftDateTime()
                                       throws SAGApplicationException

  Utility method - it can be used by both InterAct and FileAct.

  Parameters:
    None.

  Returns:
    `String` - Returns the local date and time converted to UTC.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.